# steamcmd-container

Extended version of [CM2Walki/steamcmd](https://www.github.com/CM2Walki/steamcmd)
based on `Fedora`.

This provides a *relatively* current userspace to for `steamcmd` and game servers
to use. Some utilities have been left in for convenience (*ie:* `wget`, `less`,
`find`).

Size is *not* a priority for this image/project. Currency and convenience *are*.

### Fedora-driven tweaks
`dnf` has been tweaked *slightly* to improve speed/reduce needless resource usage.
 - `max_parallel_downloads`: Set to the (current) limit of 20, more packages fetched at once.
 - `fastestmirror`: Contrary to what the name implies, it's not always fastest.  This measures latency; not bandwidth.
 - `deltarpm`: No old packages will exist to diff, so save the CPU cycles
